require 'sketchup.rb'
def hideonotherpages
	model = Sketchup.active_model
	ss = model.selection
	if ss.empty?
		UI.messagebox("Aucune selection.")
		return nil
	else
		if scene = model.pages.selected_page
			model.pages.each do |page|
				if not page.name == scene.name
					ss.each{|ent|ent.hidden=true}
					puts "\n" + page.name + " different de " + scene.name
					page.update
				end
			end
			puts "\nSlection cache dans les autres scnes."
			model.commit_operation
		else
			UI.messagebox("Pas de scene dans ce dessin.")
			return nil
		end
	end
end

if !file_loaded?("HideOnOtherPages.rb")
	plugins_menu = UI.menu("Plugins")
	UI.menu("Plugins").add_item("Cacher dans les autres scenes") {hideonotherpages}
	file_loaded("HideOnOtherPages.rb")
end

